Name:           bb
Version:        1.3
Release:        0.4.rc1%{?dist}
Summary:        High quality audio-visual demonstration for your text terminal

Group:          Amusements/Games
License:        GPLv2+
URL:            http://aa-project.sourceforge.net/bb/
Source0:        http://downloads.sourceforge.net/aa-project/bb-1.3rc1.tar.gz
#Patch1:		bb-no-registers.patch
#Patch2:		bb_1.3rc1-8.4.diff.gz
Patch10:	bb_add_-lm.patch
Patch11:	bb_README.patch
Patch12:	bb_bb.1.patch
Patch13:	bb_bb.c.patch
Patch14:	bb_julia.c.patch
Patch15:	bb_main.c.patch
Patch16:	bb_disable_music_by_default.patch
Patch17:	bb_tex.c.patch
Patch18:	bb_timers.c.patch
Patch19:	bb_zoom.c.patch
Patch20:	bb_fix-typos-in-messages.patch
Patch21:	bb_fix-implicit-declaration.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gcc, aalib-devel, mikmod-devel, autoconf, automake

%description
BB is an high quality audio-visual demonstration for your text terminal.
It is portable demo, so you can run it on plenty of operating systems and DOS.

%prep
%setup -q -n %{name}-%{version}.0
#%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
autoreconf -f -i


%build
%configure
make %{?_smp_mflags} LDFLAGS=-lm


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README README.LZO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.*


%changelog
* Wed Oct 31 2018 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.3-0.4.rc1
- Added gcc to BuildRoot.

* Thu Jan 14 2016 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.3-0.2.rc1
- Applied debian patches

* Thu Aug 06 2009 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.3-0.1.rc1
- initial build
